<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Licznik tekstowy</title>
</head>
<body>
<div style="text-align:center">
<h2>Tutaj znajduje się treść strony.</h2>
<br /><br />
</div>
<div style="text-align:center">
Ta strona została odwiedzona 
<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function printHits()
{
  $end_line = "\r\n";
  if(($fp = fopen("counter.txt", "r")) === false)
    return false;
  $count = fgets($fp);
  $dzien = trim(fgets($fp));
  $miesiac = trim(fgets($fp));
  $rok = trim(fgets($fp));
  $count = $count + 1;
  fclose($fp);
  if(!($fp = fopen("counter.txt", "wb")) === false){
    fputs($fp, $count.$end_line);
    fputs($fp, $dzien.$end_line);
    fputs($fp, $miesiac.$end_line);
    fputs($fp, $rok.$end_line);
    fclose($fp);
  }
  echo("$count razy od $dzien-$miesiac-$rok r.");
}
printHits();
?>
</div>
</body>
</html>
